@charset "utf-8";
/* CSS Document */

#entry #my-page .guide {
  text-align: center;
  margin: 0 0 10vh;
}

#entry #my-page .box {
  width: 45%;
}

#entry #my-page .here {
  font-size: 2vw;
  font-weight: bold;
  text-align: center;
  margin: 0 0 0.5em;
}

#entry #my-page .link {
  display: flex;
  flex-direction: column;
  gap: 1.5vw;
}

#entry #my-page .link a {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1em;
  width: 100%;
  padding: 0.3em 2em 0.3em 0.3em;
  margin: 0;
  background: #fff;
  font-size: 2vw;
  font-weight: bold;
  color: #fff;
  overflow: hidden;
  background-size: 200% 100%;
  -webkit-transition: background-position .3s cubic-bezier(0.19, 1, 0.22, 1) .1s, color .5s ease 0s, background-color .5s ease;
  transition: background-position .3s cubic-bezier(0.19, 1, 0.22, 1) .1s, color .5s ease 0s, background-color .5s ease;
}

#entry #my-page .link a:hover {
  opacity: 1.0;
  background-position: -100% 100%;
  color: #fff !important;
}

#entry #my-page .link a:hover .cursor::after {
  background: #fff !important;
}


#entry #my-page .link a:hover::before {
  transform: translate(0, 0);
}

#entry #my-page .link img {
  position: relative;
  display: block;
  width: 60%;
  border-radius: 20px;
}

#entry #my-page .link .cursor {
  position: relative;
  display: flex;
  align-items: baseline;
  line-height: 1;
  gap: 0.5em;
}

#entry #my-page .link .cursor::after {
  content: "";
  position: relative;
  display: block;
  width: 0.4em;
  height: 0.7em;
  clip-path: polygon(0 0, 0% 100%, 100% 50%);
  background: #fff;
  transition: background-color .5s ease;
}

#entry #my-page .link.orange a {
  color: #F4901E;
  border: solid 3px #F4901E;
  background-image: -webkit-linear-gradient(left, transparent 50%, #F4901E 50%);
  background-image: linear-gradient(to right, transparent 50%, #F4901E 50%);
}

#entry #my-page .link.orange a:hover {
  background-color: #F4901E;
}

#entry #my-page .link.orange a .cursor::after {
  background: #F4901E;
}

#entry #my-page .link.blue a {
  color: #004588;
  border: solid 3px #004588;
  background-image: -webkit-linear-gradient(left, transparent 50%, #004588 50%);
  background-image: linear-gradient(to right, transparent 50%, #004588 50%);
}

#entry #my-page .link.blue a:hover {
  background-color: #004588;
}

#entry #my-page .link.blue a .cursor::after {
  background: #004588;
}

@media screen and (max-width: 769px) {

  #entry #my-page .guide {
    margin: 0 0 40px;
  }

  #entry #my-page .flexbox {
    flex-direction: column;
    align-items: center;
    gap: 40px;
  }

  #entry #my-page .box {
    width: 100%;
    max-width: 420px;
  }

  #entry #my-page .here {
    font-size: 2rem;
  }

  #entry #my-page .link {
    gap: 20px;
  }

}

@media screen and (max-width: 769px) {

  #entry #my-page .guide {
    margin: 0 0 40px;
  }

  #entry #my-page .flexbox {
    flex-direction: column;
    align-items: center;
    gap: 40px;
  }

  #entry #my-page .box {
    width: 100%;
    max-width: 360px;
  }

  #entry #my-page .here {
    font-size: 2rem;
  }

  #entry #my-page .link {
    gap: 20px;
  }

  #entry #my-page .link a {
    font-size: 2rem;
  }

}